> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Endpoint

> This endpoint will retrieve information about a single user under your partner account.


**Note:**
- Users MUST be added to instance_ids that are organizations. You cannot add a user to an instance_id that is a standard, trial or consulting instance.


Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/users/info/{user_ref}
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/users/info/{user_ref}:
    get:
      tags:
        - Users
      summary: Get User Endpoint
      description: "This endpoint will retrieve information about a single user under your partner account.\r\n\r\n\r\n**Note:**\r\n- Users MUST be added to instance_ids that are organizations. You cannot add a user to an instance_id that is a standard, trial or consulting instance.\r\n\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetSingleUser
      parameters:
        - name: user_ref
          in: path
          description: User Reference of the user to obtain
          schema:
            title: User Reference
            type: string
            description: User Reference of the user to obtain
          required: true
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  additionalProperties: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
components:
  schemas:
    ErrorJson:
      title: Error Response
      type: object
      properties:
        error:
          title: Error Code
          type:
            - string
            - 'null'
          description: The error code representing the type of error.
        error_description:
          title: Error Description
          type:
            - string
            - 'null'
          description: A detailed description of the error.
      additionalProperties: false
      description: Represents an error response with error code and description.

````